Subject: Re: bug#59380: File mode specification error

From: Ikumi Keita <[email-masked]>
Date: Sun, 20 Nov 2022 15:04:19 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
> I'm not on Debian, but I suspect this is a D-BUS issue:

I think so, too.

> You have configured AUCTeX to use atril as viewer

But I doubt it. I suspect that the error was the responce to this entry
in `TeX-view-program-list-builtin':
      ("Atril" ,(TeX-view-program-select-evince "mate" "atril") "atril")
This entry calls `TeX-view-program-select-evince' unconditionally even
if the user configures nothing particular for atril.

> Maybe it lacks this file:

>   https://github.com/mate-desktop/atril/blob/master/data/org.mate.atril.Daemon.service.in

I'm not familiar with D-BUS. I hope Tassilo can settle out the issue.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine